%Lotka-Volterra modell

global a c x0 y0
%paraméterek
a=1;
c=0; %nyúlfarm
%kezdeti értékek
x0 = 3;
y0 = 0.5;

%differenciálegyenlet
function dy=odefun(y,t)
global a c
dy=y;
dy(1) = a*y(1) - y(1)*y(2) + c;
dy(2) = y(1)*y(2) - y(2);
endfunction

%megoldás
T = [0:0.1:20]';
Y = lsode(@odefun,[x0,y0],T);

%ábrázolás
%t(x)
subplot(2,2,1)
plot(Y(:,1),T,'-b',"linewidth",2);
axis("ij", "labelxy");
set(gca(), "linewidth",2, "fontsize",12, "xaxislocation", "top");
xlabel('x');
ylabel('t');
%y(t)
subplot(2,2,4) 
plot(T,Y(:,2),'-b',"linewidth",2);
axis("labelxy");
set(gca(), "linewidth",2, "fontsize",12);
xlabel('t');
ylabel('y');
%fázistér y(x)
subplot(2,2,3)
plot(Y(1:i,1),Y(1:i,2),'-r',"linewidth",2);
axis("labelxy");
set(gca(), "linewidth",2, "fontsize",12);
xlabel('x');
ylabel('y');
